Developers
API ReferenceTicket Type

Creates a TicketType resource

POST
/ticket/ticket-types

Creates a TicketType resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new TicketType resource

  1. body
name*string
Lengthlength <= 100
decorator*string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"

Response Body

TicketType resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
decorator?string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/ticket/ticket-types' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "decorator": "#78909c"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decorator": "#78909c"}